spyder_3.3.2+dfsg1-2_all.deb


Advertisement

Description

spyder - Python IDE for scientists (Python 2)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename spyder_3.3.2+dfsg1-2_all.deb
Package name spyder
Package version 3.3.2+dfsg1
Package release 2
Package architecture all
Package type deb
Category universe/devel
Homepage https://github.com/spyder-ide/spyder
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 34.04 KB
Installed size 129.00 KB
Spyder (previously known as Pydee) is a free open-source Python
development environment providing MATLAB-like features in a simple
and light-weighted software
This package provides the application for Python 2.

Alternatives

Package Version Architecture Repository
spyder_3.3.2+dfsg1-2_all.deb 3.3.2+dfsg1 all Ubuntu Universe
spyder - - -

Requires

Name Value
python-spyder = 3.3.2+dfsg1-2
python2.7:any -

Replaces

Name Value
python-spyderlib << 2.3.0+dfsg-2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package spyder_3.3.2+dfsg1-2_all.deb
Source Package spyder

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install spyder deb package:
    # sudo apt-get install spyder

Files

Path
/usr/bin/spyder
/usr/share/applications/spyder.desktop
/usr/share/bug/spyder/control
/usr/share/doc/spyder/README.md.gz
/usr/share/doc/spyder/changelog.Debian.gz
/usr/share/doc/spyder/copyright
/usr/share/icons/spyder.png
/usr/share/man/man1/spyder.1.gz

Changelog

2019-01-15 - Drew Parsons <dparsons@debian.org>
spyder (3.3.2+dfsg1-2) unstable; urgency=medium
* Team upload.
* set debian/watch to upstream github repo rather than pypi
* python3-spyder Depends: python3-keyring (required for python3 but
not automatically detected by dh_python3).
Also Build-Depends: python3-keyring.
Closes: #919000.
* Standards-Version: 4.3.0
* debhelper compatibility level 12
2018-12-04 - Drew Parsons <dparsons@debian.org>
spyder (3.3.2+dfsg1-1) unstable; urgency=medium
* Team upload.
* New upstream version 3.3.2+dfsg1. Closes: #900246, #893615.
- update debian/copyright
- no longer provides doc subdir:
* drop spyder-doc. Closes: #911629.
* drop sphinx build support
* setup.py --no-doc no longer supported
* use rst2man to generate man page from debian/manpage.rst
(replaces debian/patches/Add-manpage-for-Spyder.patch )
* Build-Depends: python{,3}-spyder-kernels
* Standards-Version: 4.2.1
* debian/control: remove ancient-python-version-fields
X-Python-Version, X-Python3-Version
2018-03-04 - Ghislain Antony Vaillant <ghisvail@gmail.com>
spyder (3.2.6+dfsg1-2) unstable; urgency=medium
* New patch Remove-pyopengl-from-install-requires.patch (Closes: #891617)
* New patch Remove-pyqt5-from-install-requires.patch (Closes: #891618)
2018-02-21 - Ghislain Antony Vaillant <ghisvail@gmail.com>
spyder (3.2.6+dfsg1-1) unstable; urgency=medium
* New upstream version 3.2.6+dfsg1
* Refresh the patch queue
* Update the copyright years
* Add new dependency on cloudpickle
* Drop the get-orig-source target
* Move extend-diff-ignore to d/s/options
* Point the VCS URIs to salsa.debian.org
* Update the location of the documentation
* Remove all instances of priority extra
* Bump the debhelper version to 11
* Bump the standards version to 4.1.3
2017-10-31 - Ghislain Antony Vaillant <ghisvail@gmail.com>
spyder (3.2.4+dfsg1-1) unstable; urgency=medium
* New upstream version 3.2.4+dfsg1
* Refresh the patch queue
* Fix and simplify the watch file
- Fix the dversionmangle regex
- Use the PACKAGE placeholder
2017-10-12 - Ghislain Antony Vaillant <ghisvail@gmail.com>
spyder (3.2.3+dfsg1-2) unstable; urgency=medium
* Restore patch Always-use-setuptools.patch (Closes: #878056)
* Ensure install of setuptools gui_scripts
* Bump the standards version to 4.1.1
2017-09-22 - Ghislain Antony Vaillant <ghisvail@gmail.com>
spyder (3.2.3+dfsg1-1) unstable; urgency=medium
* New upstream version 3.2.3+dfsg1
* Update the patch queue
- Rename 0001-fix-spyderlib-path.patch to more explicit
Customize-paths-for-Debian.patch
- Drop Always-use-setuptools.patch, no longer required
- Drop Fixup-rope-dependency.patch, no longer required
* Fixup the Source URI
* Update copyright information
- Update copyright authors and dates
- Remove unused paragraphs
- Add myself to copyright
* Fixup the Vcs-Browser URI
* Update the build dependencies
- Drop superfluous versioned dependencies for chardet, qtawesome and
qtconsole
- Add new versioned dependencies for jedi and rope (Python 2)
* Mark transitional packages priority extra
* Mark spyder-common and spyder-doc multiarch foreign
* Clean documentation artefacts with debhelper
* Install spyder-common files using debhelper
* Install spyder{,3} files with debhelper
* Add recommended get-orig-source target
* Bump the standards version to 4.1.0
2017-07-20 - Ghislain Antony Vaillant <ghisvail@gmail.com>
spyder (3.1.4+dfsg1-1) unstable; urgency=medium
* Upgrade watch file to version 4
* Bump standards version to 4.0.0, no changes required
* Switch source package priority to optional
* Normalize the Vcs-Browser URI
* Normalize the package descriptions
* Update the gbp configuration
* Release to unstable

See Also

Package Description
spykeviewer_0.4.4-1_all.deb graphical utility for analyzing electrophysiological data
sqitch_0.9999-2_all.deb sane database change management
sqlacodegen_1.1.6-2build1_all.deb Automatic model code generator for SQLAlchemy
sqlcipher_3.4.1-1build2_amd64.deb Command line interface for SQLCipher
sqlformat_0.2.4-1_all.deb SQL formatting utility
sqlgrey_1.8.0-1_all.deb Postfix Greylisting Policy Server
sqlite-doc_2.8.17-15fakesync1build1_all.deb SQLite 2 documentation
sqlite3-pcre_0~git20070120091816+4229ecc-1_amd64.deb Perl-compatible regular expression support for SQLite
sqlite_2.8.17-15fakesync1build1_amd64.deb command line interface for SQLite 2
sqlitebrowser_3.10.1-2_amd64.deb GUI editor for SQLite databases
sqlline_1.0.2-8_all.deb JDBC command-line utility for issuing SQL
sqlmap_1.3.4-1_all.deb automatic SQL injection tool
sqlobject-admin_3.7.0+dfsg-2_all.deb Helper applications for SQLObject, a Python ORM for databases
sqlsmith_1.2.1-1build2_amd64.deb random SQL query generator
sqsh_2.5.16.1-2build1_amd64.deb commandline SQL client for MS SQL and Sybase servers
Advertisement
Advertisement